# class PositionError

#### package js.html

Available on HTML5

The `PositionError` interface represents the reason of an error occurring when using the geolocating device.

Documentation PositionError by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/PositionError

### Variables

###

`read onlycode:Int`

Returns an `unsigned short` representing the error code. The following values are possible:

Value Associated constant Description
`1` | `PERMISSION_DENIED` | The acquisition of the geolocation information failed because the page didn't have the permission to do it.
`2` | `POSITION_UNAVAILABLE` | The acquisition of the geolocation failed because at least one internal source of position returned an internal error.
`3` | `TIMEOUT` | The time allowed to acquire the geolocation, defined by `PositionOptions.timeout` information was reached before the information was obtained.

###

`read onlymessage:String`

Returns a human-readable `DOMString` describing the details of the error. Specifications note that this is primarily intended for debugging use and not to be shown directly in a user interface.

### Static variables

###

`staticinline read onlyPERMISSION_DENIED:Int = 1`

###

`staticinline read onlyPOSITION_UNAVAILABLE:Int = 2`

###

`staticinline read onlyTIMEOUT:Int = 3`